int sum(int x, int y){
  return x+y;
}
forall(ttype Params | { int sum(int, Params); })
int sum(int x, int y, Params rest) {
  return sum(x+y, rest);
}
int main() {
  printf("%d\n", sum(10, 20, 30, 40, 50, 60));
}
